services:
    notimeo.catalog.twig.extension:
        class: App\CatalogBundle\Twig\CatalogExtension
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@notimeo.sections_container'
            - '@twig'
            - '@notimeo.paginator'
            - '@notimeo.core.config_container'
            - '@router'
        public: false
        tags:
            - { name: twig.extension }

    notimeo.catalog.listener.breadcrumbs:
        class: App\CatalogBundle\EventListener\CatalogBreadcrumbListener
        tags:
            - { name: kernel.event_listener, event: notimeo.breadcrumbs }
        arguments:
            - '@app.breadcrumbs_services'
            - '@notimeo.sections_container'
            - '@translator.default'

    notimeo.catalog.opinion_type:
        class: App\CatalogBundle\Form\Type\OpinionType
        arguments:
            - '@security.authorization_checker'
        tags:
            - { name: form.type }

    notimeo.catalog.form.search_engine:
        class: App\CatalogBundle\Form\Type\SearchCompaniesType
        tags:
            - { name: form.type }
        arguments:
            - '@router'
            - '@notimeo.sections_container'
            - "@request_stack"
            - '@doctrine.orm.entity_manager'

    notimeo.catalog_sitemap_listener:
        class: App\CatalogBundle\EventListener\CatalogSitemapListener
        tags:
            - { name: kernel.event_listener, event:  notimeo.sitemap}